/*
 * Custom code goes here.
 * A template should always ship with an empty custom.css
 */


/*  FOOTER CATEGORIA */
.benefits-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  background: #fff;
  padding: 30px 20px;
  border-radius: 16px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.06);
  margin-top: 40px;
  gap: 20px;
}

.benefit-item {
  display: flex;
  align-items: center;
  gap: 15px;
  min-width: 200px;
  flex: 1 1 22%;
  max-width: 250px;
  justify-content: center;
  text-align: left;
}

.benefit-item img {
  width: 36px;
  height: 36px;
  object-fit: contain;
}

.benefit-text strong {
  font-weight: 600;
  font-size: 16px;
  color: #1a1a1a;
  line-height: 1.4;
}

/* Responsive */
@media screen and (max-width: 992px) {
  .benefit-item {
    flex: 1 1 45%;
    justify-content: flex-start;
  }
}

@media screen and (max-width: 576px) {
  .benefit-item {
    flex: 1 1 100%;
    justify-content: flex-start;
  }
}

/*  PAGINA NUEVO, MAS VENDIDOS Y  CATEGORIA */

/* PÁGINAS DE LISTADO (categoría, más vendidos, rebajas, nuevos, marca, proveedor, búsqueda nativa e IQIT, wishlist IQIT, comparador IQIT) */
body:is(
  #category,
  #best-sales,
  #prices-drop,
  #new-products,
  #manufacturer,
  #supplier,
  #search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) section#wrapper {
  background: #F7F7F7;
  padding: 2em;
  border-radius: 12px;
  max-width: 1240px;
  margin: 0 auto;
  padding-right: 6px;
  padding-left: 6px;
  
}

/* Fondo general oscuro */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) {
  background-color: #f6f6f6 !important
}

/* Título principal */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .content-wrapper .page-title {
  color: #8c00ea;
}

/* Header listado */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) #product-list-header {
  color: #6D0CAE;
}

/* Botón "Añadir" */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-add-cart .btn-product-list {
  background-color: #6D0CAE;
  color: #fff;
  border: none;
  font-size: 14px;
  border-radius: 8px;
  transition: background-color 0.3s ease;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-add-cart .btn-product-list:hover {
  background-color: #8c00ea;
  color: #fff;
}

/* Precio */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-price-and-shipping .product-price {
  color: #130526 !important;
  font-size: 23px;
  font-weight: 700;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-price-and-shipping {
  text-align: left;
}

/* Caja producto */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-description {
  flex-grow: 1 !important;
  display: flex !important;
  flex-direction: column !important;
  justify-content: space-between !important;
  min-height: 145px !important;
  background: #ffffff;
  padding-bottom: 1rem !important;
  border-radius: 12px;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-miniature {
  border-radius: 12px;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-miniature-default .product-thumbnail img {
  border-radius: 12px;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit,
  #module-iqitwishlist-wishlist,
  #module-iqitcompare-compare
) .product-miniature-grid .product-title {
  min-height: 40px;
}

/* Facetas/filtros */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .faceted-slider p {
  color: #333 !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .faceted-slider input[type="text"] {
  color: #8C00EA !important;
  font-weight: 600;
  border: 1px solid #8C00EA !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .noUi-connect {
  background-color: #8C00EA !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .noUi-handle {
  background-color: #8C00EA !important;
  border: none !important;
}

/* Títulos filtros */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) h4.facet-title,
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) h4.facet-title span {
  color: #8C00EA !important;
  font-weight: 700;
  font-size: 20px;
  font-family: 'Poppins';
  text-align: left;
}

/* Filtros activos */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) #active-search-filters {
  color: black !important;
}

/* Columna izquierda */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) #left-column {
  background: white;
  border-radius: 12px;
  padding: 16px;
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25);
}

/* Texto "Mostrando X productos" */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .showing.hidden-sm-down {
  color: black !important;
}




/* FIN */
/* Selector orden */
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .products-sort-nb-dropdown .select-title {
  background-color: #8C00EA !important;
  color: white !important;
  border: none !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .products-sort-nb-dropdown .select-title i.fa-angle-down {
  color: white !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .products-sort-nb-dropdown .select-title:hover {
  background-color: #7a00d1 !important;
  color: white !important;
}
body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .products-sort-nb-dropdown .select-title:hover i.fa-angle-down {
  color: white !important;
}

body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) #wrapper {
    color: #2e2e2e;
}

body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) #wrapper .breadcrumb a {
    color: #8c00ea;
}

body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) #wrapper .breadcrumb {
    color: #8c00ea;
}



body:is(
  #category,#best-sales,#prices-drop,#new-products,
  #manufacturer,#supplier,#search,
  #module-iqitsearch-searchiqit
) .product-price {

    color: #404040;
}	

body:is(
  #category,
  #best-sales,
  #prices-drop,
  #new-products,
  #manufacturer,
  #supplier,
  #search,
  #module-iqitsearch-searchiqit
) figcaption.elementor-image-carousel-caption {
  margin-top: 7px;
}
	
/* Solo el ícono de eliminar del modal del carrito en el header */
.cart-preview .remove-from-cart i.fa-trash-o {
    color: #555!important; /* plomo */
}	

@media (max-width: 767px) {
  body:is(
    #category,
    #best-sales,
    #prices-drop,
    #new-products,
    #manufacturer,
    #supplier,
    #search,
    #module-iqitsearch-searchiqit
  ) div#content-wrapper {
    padding-left: 9px;
    padding-right: 9px;
  }
}
@media (max-width: 767px) {
  body:is(
    #category,
    #best-sales,
    #prices-drop,
    #new-products,
    #manufacturer,
    #supplier,
    #search,
    #module-iqitsearch-searchiqit
  ) #left-column {
    order: -1;
    margin-bottom: 10px;
  }
}
/* Texto footer cat */

.benefit-text strong {
    font-weight: 900;
    font-size: 16px;
}